Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class LibraryException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.activity.SemanticException
                  org.eclipse.birt.report.model.api.command.LibraryException

    public class LibraryException

extends SemanticException

Indicates an error while operating with library.

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_DUPLICATE_LIBRARY_NAMESPACE` Indicates the namespace one library is using is duplicate.
`static java.lang.String` | `DESIGN_EXCEPTION_LIBRARY_ALREADY_INCLUDED` Indicates that library is already included, a library can not be added twice.
`static java.lang.String` | `DESIGN_EXCEPTION_LIBRARY_HAS_DESCENDENTS` Indicates that library has descendents in the current module.
`static java.lang.String` | `DESIGN_EXCEPTION_LIBRARY_INCLUDED_RECURSIVELY` Indicates the library is included recursively.
`static java.lang.String` | `DESIGN_EXCEPTION_LIBRARY_NOT_FOUND` Indicates the library is not found in module.

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`LibraryException(org.eclipse.birt.report.model.core.Module module, java.lang.String errCode)` Constructor.
`LibraryException(org.eclipse.birt.report.model.core.Module module, java.lang.String[] values, java.lang.String errCode)` Constructor.

Method Summary
`java.lang.String` | `getLocalizedMessage()`

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESIGN_EXCEPTION_LIBRARY_NOT_FOUND

    public static final java.lang.String DESIGN_EXCEPTION_LIBRARY_NOT_FOUND

  Indicates the library is not found in module.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_LIBRARY_NAMESPACE

    public static final java.lang.String DESIGN_EXCEPTION_DUPLICATE_LIBRARY_NAMESPACE

  Indicates the namespace one library is using is duplicate.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_LIBRARY_INCLUDED_RECURSIVELY

    public static final java.lang.String DESIGN_EXCEPTION_LIBRARY_INCLUDED_RECURSIVELY

  Indicates the library is included recursively.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_LIBRARY_HAS_DESCENDENTS

    public static final java.lang.String DESIGN_EXCEPTION_LIBRARY_HAS_DESCENDENTS

  Indicates that library has descendents in the current module.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_LIBRARY_ALREADY_INCLUDED

    public static final java.lang.String DESIGN_EXCEPTION_LIBRARY_ALREADY_INCLUDED

  Indicates that library is already included, a library can not be added twice.

  See Also:
    Constant Field Values

Constructor Detail

### LibraryException

    public LibraryException(org.eclipse.birt.report.model.core.Module module,
                            java.lang.String errCode)

  Constructor.

  Parameters:
    `module` - the module which has errors
    `errCode` - the error code

### LibraryException

    public LibraryException(org.eclipse.birt.report.model.core.Module module,
                            java.lang.String[] values,
                            java.lang.String errCode)

  Constructor.

  Parameters:
    `module` - the module which has errors
    `values` - value array used for error message
    `errCode` - the error code

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.